Skip to main content
GET
/
library
/
{libraryId}
/
videos
/
{videoId}
/
heatmap
Get Video Heatmap
curl --request GET \
  --url https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/heatmap \
  --header 'AccessKey: <api-key>'
import requests

url = "https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/heatmap"

headers = {"AccessKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};

fetch('https://video.bunnycdn.com/library/{libraryId}/videos/{videoId}/heatmap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "heatmap": {}
}

Authorizations

AccessKey
string
header
required

AccessKey based authentication

Path Parameters

libraryId
integer<int64>
required

The ID of the video library.

videoId
string
required

The GUID of the video.

Response

The heatmap of the requested video.

heatmap
object | null

Timeline heatmap as segment-index to intensity (0–100). Keys represent consecutive segments from the start of the video; values are normalized so 100 equals the most‑watched segment. Missing segments imply 0.

Last modified on July 2, 2026